 <template>
    <div style="height: 100%">
        <nav class="navbar navbar-expand-lg navbar-dark bg-warning">
            <div class="container">
                <a class="navbar-brand" href="#">Lawconnect</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-default" aria-controls="navbar-default" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbar-default">
                    <div class="navbar-collapse-header">
                        <div class="row">
                            <div class="col-6 collapse-brand">
                                <a href="index.html">
                                    <img src="assets/img/brand/blue.png">
                                </a>
                            </div>
                            <div class="col-6 collapse-close">
                                <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbar-default" aria-controls="navbar-default" aria-expanded="false" aria-label="Toggle navigation">
                                    <span></span>
                                    <span></span>
                                </button>
                            </div>
                        </div>
                    </div>

                    <ul class="navbar-nav ml-lg-auto">
                        <li class="nav-item">
                            <nuxt-link to="/authentication/register" class="nav-link" href="#">Sign up as lawyer</nuxt-link>
                        </li>
                        <li class="nav-item">
                            <nuxt-link to="/authentication/login" class="nav-link" href="#">Login</nuxt-link>
                        </li>
                    </ul>

                </div>
            </div>
        </nav>
        <div class="container shadow-sm p-3 mb-5 bg-white rounded" style="background-color: #f6f6f6;">
            <slot></slot>
        </div>
    </div>
</template>
 <script>
     export default {
         methods: {
         }
     }
 </script>

 <style>
     html {
         font-family: 'Source Sans Pro', -apple-system, BlinkMacSystemFont, 'Segoe UI',
         Roboto, 'Helvetica Neue', Arial, sans-serif;
         font-size: 16px;
         word-spacing: 1px;
         -ms-text-size-adjust: 100%;
         -webkit-text-size-adjust: 100%;
         -moz-osx-font-smoothing: grayscale;
         -webkit-font-smoothing: antialiased;
         box-sizing: border-box;
     }

     body {
         background-color: #F7F7F7;
     }

     *,
     *:before,
     *:after {
         box-sizing: border-box;
         margin: 0;
     }

     .button--green {
         display: inline-block;
         border-radius: 4px;
         border: 1px solid #3b8070;
         color: #3b8070;
         text-decoration: none;
         padding: 10px 30px;
     }

     .button--green:hover {
         color: #fff;
         background-color: #3b8070;
     }

     .button--grey {
         display: inline-block;
         border-radius: 4px;
         border: 1px solid #35495e;
         color: #35495e;
         text-decoration: none;
         padding: 10px 30px;
         margin-left: 15px;
     }

     .button--grey:hover {
         color: #fff;
         background-color: #35495e;
     }
 </style>
